Bug 311031 - memory access violation if executed with "strange" parameters
Summary: memory access violation if executed with "strange" parameters
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lynx   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-28 14:31 UTC by Piotr Hosowicz
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 12:09:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Piotr Hosowicz 2007-09-28 14:31:33 UTC
Description of problem:

I was trying to make lynx dump TXT reperesentation of HTML page passed to lynx
to stdin. THis is one of the forms I tried. I treid to execute it with LANG=en,
but I received always polish message, my locale id polish (pl_PL). "Naruszenie
ochrony pamięci" means "Violation of memory protection" in english.

--- from console start

$ echo test | lynx -dump -- -
Looking up  '-dump' first
Looking up  'www.-dump.com', guessing...
Naruszenie ochrony pamięci
$

--- from console end

Version-Release number of selected component (if applicable):

$ cat /etc/fedora-release
Fedora release 7 (Moonshine)
$ uname -a
Linux sirach.patmos.lan 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:35:01 EDT 2007
i686 i686 i386 GNU/Linux
$ rpm -q lynx
lynx-2.8.6-3.fc7
$ lynx --version
Lynx Version 2.8.6rel.2 (12 Oct 2006)
libwww-FM 2.14, SSL-MM 1.4.1, OpenSSL 0.9.8b, ncurses 5.6.20070303(wide)
Built on linux-gnu Feb 23 2007 07:35:03
(... snip ...)
$ rpm -q bash
bash-3.2-9.fc7
$ bash --version
GNU bash, version 3.2.9(1)-release (i686-redhat-linux-gnu)
Copyright (C) 2005 Free Software Foundation, Inc.

How reproducible:

The error occurrs every time I execute above cited command.

Steps to Reproduce:
1. execute above cited command
  
Actual results:

Memory access violation.

Expected results:

Lynx should end with an ordinary error message.


Additional info:

none

Comment 1 Ivana Varekova 2007-10-02 12:09:51 UTC
Thanks. Fixed in lynx-2.8.6-6_fc8.


Note You need to log in before you can comment on or make changes to this bug.